
Redmine - Defect #15624

Redmine fields inside mail notifications should be mime-encoded

2013-12-08 14:55 - Nikolay Didenko

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.2.1

Description

X-Redmine-Issue-Author: user

Precedence: bulk

X-Redmine-Issue-Assignee: user

X-Redmine-Issue-Id: 19703

X-Mailer: Redmine

X-Redmine-Project: mobile-ios-baraholka

Auto-Submitted: auto-generated

X-Redmine-Site: Р“Рљ "Rugion" 

X-Redmine-Host: redmine.example.com

 There is X-Redmine-Site field consists non-ascii symbols, that should be mime-encoded like any other mail headers fields.

[root@master current]# RAILS_ENV=production ruby script/about

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.5

Rack version              1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Edge Rails revision       unknown

Application root          ---

Environment               production

Database adapter          mysql

Database schema version   20110511000000

History

#1 - 2013-12-09 05:38 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Wont fix

Redmine does not use Rails2 anymore.

I cannot reproduce on r12368.

Date: Mon, 09 Dec 2013 13:32:07 +0900

From: redmine@example.net

Message-ID: <52a547c74493f_14933f9d9d7943b46401f@centos6vm01.mail>

Subject: Redmine test

Mime-Version: 1.0

Content-Type: multipart/alternative;

 boundary="--==_mimepart_52a547c741c2c_14933f9d9d7943b4639b9";

 charset=UTF-8

Content-Transfer-Encoding: 7bit

X-Redmine-Host: localhost:3000

List-Id: <redmine.example.net>

X-Auto-Response-Suppress: OOF

Auto-Submitted: auto-generated

X-Redmine-Site: =?UTF-8?Q?=E3=81=A6=E3=81=99=E3=81=A8?=
https://www.redmine.org/projects/redmine/repository/svn/revisions/12368


X-Mailer: Redmine

 
$ echo '=?UTF-8?Q?=E3=81=A6=E3=81=99=E3=81=A8?=' | nkf

てすと
